settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

onEvent('recipes', event => {
event.remove({output: 'excompressum:auto_sieve'})
event.remove({output: 'excompressum:auto_hammer'})
event.remove({output: 'factory:factory'})
event.remove({output: 'excompressum:auto_heavy_sieve'})
event.remove({output: 'excompressum:auto_compressed_hammer'})

event.shaped('factory:factory', [
  'SHS',
  'CIC',
  'SHS'
], {
  C: 'tconstruct:crafting_station',
  I: 'minecraft:smooth_stone',
  H: 'brickhopper:brick_hopper',
  S: 'minecraft:smooth_stone'
})

event.shaped('excompressum:auto_sieve', [
    'IPI',
    'LSL',
    'IPI'
  ], {
    S: 'exnihilosequentia:sieve',
    I: 'minecraft:glass',
    P: 'mekanism:basic_universal_cable',
    L: 'mekanism:logistical_sorter'
  })

  event.shaped('excompressum:auto_heavy_sieve', [
    'IPI',
    'LSL',
    'IPI'
  ], {
    S: 'excompressum:auto_sieve',
    I: 'minecraft:glass',
    P: '#forge:ingots/steel',
    L: '#excompressum:heavy_sieve'
  })

  event.shaped('excompressum:auto_hammer', [
    'LPL',
    'BSB',
    'IPI'
  ], {
    S: '#excompressum:hammer',
    I: 'botania:mana_glass',
    P: 'mekanism:basic_universal_cable',
    L: 'minecraft:iron_ingot',
    B: 'mekanism:logistical_sorter'
  })

})